Index: uspace/srv/vfs/vfs_ops.c
===================================================================
--- uspace/srv/vfs/vfs_ops.c	(revision 49d871eaf16d7d7ba25420bf70734ff9633219d6)
+++ uspace/srv/vfs/vfs_ops.c	(revision c63e70c6c7205da6494a4bd4241b669eb98c4c5f)
@@ -55,5 +55,5 @@
 
 /* Forward declarations of static functions. */
-static int vfs_truncate_internal(fs_handle_t, dev_handle_t, fs_index_t, aoff64_t);
+static int vfs_truncate_internal(fs_handle_t, devmap_handle_t, fs_index_t, aoff64_t);
 
 /**
@@ -65,8 +65,8 @@
 vfs_pair_t rootfs = {
 	.fs_handle = 0,
-	.dev_handle = 0
+	.devmap_handle = 0
 };
 
-static void vfs_mount_internal(ipc_callid_t rid, dev_handle_t dev_handle,
+static void vfs_mount_internal(ipc_callid_t rid, devmap_handle_t devmap_handle,
     fs_handle_t fs_handle, char *mp, char *opts)
 {
@@ -125,5 +125,5 @@
 			phone = vfs_grab_phone(fs_handle);
 			msg = async_send_1(phone, VFS_OUT_MOUNTED,
-			    (ipcarg_t) dev_handle, &answer);
+			    (ipcarg_t) devmap_handle, &answer);
 			/* send the mount options */
 			rc = async_data_write_start(phone, (void *)opts,
@@ -150,5 +150,5 @@
 			
 			mr_res.triplet.fs_handle = fs_handle;
-			mr_res.triplet.dev_handle = dev_handle;
+			mr_res.triplet.devmap_handle = devmap_handle;
 			mr_res.triplet.index = rindex;
 			mr_res.size = rsize;
@@ -157,5 +157,5 @@
 			
 			rootfs.fs_handle = fs_handle;
-			rootfs.dev_handle = dev_handle;
+			rootfs.devmap_handle = devmap_handle;
 			
 			/* Add reference to the mounted root. */
@@ -187,8 +187,8 @@
 	phone = vfs_grab_phone(mp_res.triplet.fs_handle);
 	msg = async_send_4(phone, VFS_OUT_MOUNT,
-	    (ipcarg_t) mp_res.triplet.dev_handle,
+	    (ipcarg_t) mp_res.triplet.devmap_handle,
 	    (ipcarg_t) mp_res.triplet.index,
 	    (ipcarg_t) fs_handle,
-	    (ipcarg_t) dev_handle, &answer);
+	    (ipcarg_t) devmap_handle, &answer);
 	
 	/* send connection */
@@ -229,5 +229,5 @@
 	
 		mr_res.triplet.fs_handle = fs_handle;
-		mr_res.triplet.dev_handle = dev_handle;
+		mr_res.triplet.devmap_handle = devmap_handle;
 		mr_res.triplet.index = rindex;
 		mr_res.size = rsize;
@@ -255,5 +255,5 @@
 	 * in the request.
 	 */
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	
 	/*
@@ -343,5 +343,5 @@
 	
 	/* Do the mount */
-	vfs_mount_internal(rid, dev_handle, fs_handle, mp, opts);
+	vfs_mount_internal(rid, devmap_handle, fs_handle, mp, opts);
 	free(mp);
 	free(fs_name);
@@ -402,5 +402,5 @@
 	 */
 	if (vfs_nodes_refcount_sum_get(mr_node->fs_handle,
-	    mr_node->dev_handle) != 2) {
+	    mr_node->devmap_handle) != 2) {
 		fibril_rwlock_write_unlock(&namespace_rwlock);
 		vfs_node_put(mr_node);
@@ -422,5 +422,5 @@
 		phone = vfs_grab_phone(mr_node->fs_handle);
 		rc = async_req_1_0(phone, VFS_OUT_UNMOUNTED,
-		    mr_node->dev_handle);
+		    mr_node->devmap_handle);
 		vfs_release_phone(mr_node->fs_handle, phone);
 		if (rc != EOK) {
@@ -431,5 +431,5 @@
 		}
 		rootfs.fs_handle = 0;
-		rootfs.dev_handle = 0;
+		rootfs.devmap_handle = 0;
 	} else {
 
@@ -458,5 +458,5 @@
 
 		phone = vfs_grab_phone(mp_node->fs_handle);
-		rc = async_req_2_0(phone, VFS_OUT_UNMOUNT, mp_node->dev_handle,
+		rc = async_req_2_0(phone, VFS_OUT_UNMOUNT, mp_node->devmap_handle,
 		    mp_node->index);
 		vfs_release_phone(mp_node->fs_handle, phone);
@@ -569,5 +569,5 @@
 		if (node->size) {
 			rc = vfs_truncate_internal(node->fs_handle,
-			    node->dev_handle, node->index, 0);
+			    node->devmap_handle, node->index, 0);
 			if (rc) {
 				fibril_rwlock_write_unlock(&node->contents_rwlock);
@@ -626,5 +626,5 @@
 	
 	lr.triplet.fs_handle = IPC_GET_ARG1(*request);
-	lr.triplet.dev_handle = IPC_GET_ARG2(*request);
+	lr.triplet.devmap_handle = IPC_GET_ARG2(*request);
 	lr.triplet.index = IPC_GET_ARG3(*request);
 	int oflag = IPC_GET_ARG4(*request);
@@ -647,5 +647,5 @@
 		if (node->size) {
 			rc = vfs_truncate_internal(node->fs_handle,
-			    node->dev_handle, node->index, 0);
+			    node->devmap_handle, node->index, 0);
 			if (rc) {
 				fibril_rwlock_write_unlock(&node->contents_rwlock);
@@ -709,5 +709,5 @@
 	aid_t msg;
 	ipc_call_t answer;
-	msg = async_send_2(fs_phone, VFS_OUT_SYNC, file->node->dev_handle,
+	msg = async_send_2(fs_phone, VFS_OUT_SYNC, file->node->devmap_handle,
 	    file->node->index, &answer);
 
@@ -740,5 +740,5 @@
 		aid_t msg;
 		ipc_call_t answer;
-		msg = async_send_2(fs_phone, VFS_OUT_CLOSE, file->node->dev_handle,
+		msg = async_send_2(fs_phone, VFS_OUT_CLOSE, file->node->devmap_handle,
 		    file->node->index, &answer);
 		
@@ -838,9 +838,9 @@
 		
 		rc = async_data_read_forward_3_1(fs_phone, VFS_OUT_READ,
-		    file->node->dev_handle, file->node->index, file->pos,
+		    file->node->devmap_handle, file->node->index, file->pos,
 		    &answer);
 	} else {
 		rc = async_data_write_forward_3_1(fs_phone, VFS_OUT_WRITE,
-		    file->node->dev_handle, file->node->index, file->pos,
+		    file->node->devmap_handle, file->node->index, file->pos,
 		    &answer);
 	}
@@ -961,5 +961,5 @@
 }
 
-int vfs_truncate_internal(fs_handle_t fs_handle, dev_handle_t dev_handle,
+int vfs_truncate_internal(fs_handle_t fs_handle, devmap_handle_t devmap_handle,
     fs_index_t index, aoff64_t size)
 {
@@ -968,5 +968,5 @@
 	
 	fs_phone = vfs_grab_phone(fs_handle);
-	rc = async_req_4_0(fs_phone, VFS_OUT_TRUNCATE, (ipcarg_t) dev_handle,
+	rc = async_req_4_0(fs_phone, VFS_OUT_TRUNCATE, (ipcarg_t) devmap_handle,
 	    (ipcarg_t) index, LOWER32(size), UPPER32(size));
 	vfs_release_phone(fs_handle, fs_phone);
@@ -990,5 +990,5 @@
 	fibril_rwlock_write_lock(&file->node->contents_rwlock);
 	rc = vfs_truncate_internal(file->node->fs_handle,
-	    file->node->dev_handle, file->node->index, size);
+	    file->node->devmap_handle, file->node->index, size);
 	if (rc == EOK)
 		file->node->size = size;
@@ -1022,5 +1022,5 @@
 	
 	aid_t msg;
-	msg = async_send_3(fs_phone, VFS_OUT_STAT, file->node->dev_handle,
+	msg = async_send_3(fs_phone, VFS_OUT_STAT, file->node->devmap_handle,
 	    file->node->index, true, NULL);
 	ipc_forward_fast(callid, fs_phone, 0, 0, 0, IPC_FF_ROUTE_FROM_ME);
@@ -1071,5 +1071,5 @@
 	int fs_phone = vfs_grab_phone(node->fs_handle);
 	aid_t msg;
-	msg = async_send_3(fs_phone, VFS_OUT_STAT, node->dev_handle,
+	msg = async_send_3(fs_phone, VFS_OUT_STAT, node->devmap_handle,
 	    node->index, false, NULL);
 	ipc_forward_fast(callid, fs_phone, 0, 0, 0, IPC_FF_ROUTE_FROM_ME);
@@ -1245,5 +1245,5 @@
 	/* Check whether linking to the same file system instance. */
 	if ((old_node->fs_handle != new_par_lr.triplet.fs_handle) ||
-	    (old_node->dev_handle != new_par_lr.triplet.dev_handle)) {
+	    (old_node->devmap_handle != new_par_lr.triplet.devmap_handle)) {
 		fibril_rwlock_write_unlock(&namespace_rwlock);
 		ipc_answer_0(rid, EXDEV);	/* different file systems */
